# Usage - Generování 3D modelu otisku prstu 1.0 documentation

Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# Usage

When in doubt, you can always check the help with:

    $ python3 src/main.py --help

Which will print out the following message.

    $ usage: main.py [-h] [-m | --mirror | --no-mirror] input_file
    output_file dpi ([-c | --config config_file preset] |
    [filters ...]) [-s | --stl_file p height_line height_base |
    --stl_file c height_line height_base curv_rate_x curv_rate_y |
    --stl m height_line iter finger_x finger_y finger_z]
    [-d | --database database_filename]

    Program for processing a 2D image into 3D fingerprint.

    positional arguments:
    input_file            input file path
    output_file           output file path
    dpi                   dpi of used scanner
    filters               list of filter names and their parameters in form
                            [filter_name1 param1=value
                            param2=value filter_name2 param1=value...]

    options:
    -h, --help            show this help message and exit
    -m, --mirror, --no-mirror
                            switch to mirror input image
    -s [STL_FILE ...], --stl_file [STL_FILE ...]
                            create stl model from processed image
    -c CONFIG CONFIG, --config CONFIG CONFIG
                            pair: name of the config file with presets,
                            name of the preset